Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.wayf.idpdisco
Class InformationURLBuilder

    java.lang.Object
      org.opensaml.xml.AbstractXMLObjectBuilder<SAMLObjectType>
          org.opensaml.common.impl.AbstractSAMLObjectBuilder<InformationURL>
              edu.internet2.middleware.shibboleth.wayf.idpdisco.InformationURLBuilder

All Implemented Interfaces:
  org.opensaml.common.SAMLObjectBuilder<InformationURL>, org.opensaml.xml.XMLObjectBuilder<InformationURL>

    public class InformationURLBuilder

extends org.opensaml.common.impl.AbstractSAMLObjectBuilder<InformationURL>

Builder of `InformationURL` objects.

Constructor Summary
`InformationURLBuilder()` Constructor.

Method Summary
`InformationURL` | `buildObject()`
`InformationURL` | `buildObject(String namespaceURI, String localName, String namespacePrefix)`

Methods inherited from class org.opensaml.xml.AbstractXMLObjectBuilder
`buildObject, buildObject, buildObject, buildObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.opensaml.xml.XMLObjectBuilder
`buildObject, buildObject, buildObject, buildObject`

Constructor Detail

### InformationURLBuilder

    public InformationURLBuilder()

  Constructor.

Method Detail

### buildObject

    public InformationURL buildObject()

  Specified by:
    `buildObject` in interface `org.opensaml.common.SAMLObjectBuilder<InformationURL>`
  Specified by:
    `buildObject` in class `org.opensaml.common.impl.AbstractSAMLObjectBuilder<InformationURL>`

### buildObject

    public InformationURL buildObject(String namespaceURI,
                                      String localName,
                                      String namespacePrefix)

  Specified by:
    `buildObject` in interface `org.opensaml.xml.XMLObjectBuilder<InformationURL>`
  Specified by:
    `buildObject` in class `org.opensaml.xml.AbstractXMLObjectBuilder<InformationURL>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Internet2. All Rights Reserved.